## gate.gui
Class DocumentEditor.CorefNodeRenderer

    java.lang.Object
      |
      +--gate.gui.DocumentEditor.CorefNodeRenderer

All Implemented Interfaces:
  TreeCellRenderer

Enclosing class:
  DocumentEditor

class DocumentEditor.CorefNodeRenderer
extends Object
implements TreeCellRenderer

A tree node renderer used by the coref tree

Field Summary
`(package private) JCheckBox` `checkBox`
`(package private) JPanel` `hBox`
`(package private) JLabel` `label`
`(package private) Component` `leftSpacer`
`(package private) Border` `normalBorder`
`(package private) JPanel` `panel`
`(package private) Component` `rightSpacer`
`(package private) Border` `selectedBorder`

Constructor Summary
`(package private)` `DocumentEditor.CorefNodeRenderer()`

Method Summary
`Component` `getTreeCellRendererComponent(JTree tree, Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### label

    JLabel label

### checkBox

    JCheckBox checkBox

### panel

    JPanel panel

### hBox

    JPanel hBox

### selectedBorder

    Border selectedBorder

### normalBorder

    Border normalBorder

### leftSpacer

    Component leftSpacer

### rightSpacer

    Component rightSpacer

Constructor Detail

### DocumentEditor.CorefNodeRenderer

    DocumentEditor.CorefNodeRenderer()

Method Detail

### getTreeCellRendererComponent

    public Component getTreeCellRendererComponent(JTree tree,
                                                  Object value,
                                                  boolean selected,
                                                  boolean expanded,
                                                  boolean leaf,
                                                  int row,
                                                  boolean hasFocus)

  Specified by:
    `getTreeCellRendererComponent` in interface `TreeCellRenderer`